std::runtime_error Class Reference
Exceptions
Inheritance diagram for std::runtime_error:
[legend]

## Public Member Functions

| runtime_error (const string &__arg)
virtual const char * | what () const noexcept

## Detailed Description

One of two subclasses of exception.

Runtime errors represent problems outside the scope of a program; they cannot be easily predicted and can generally only be caught as the program executes.

Definition at line 112 of file stdexcept.

## Constructor & Destructor Documentation

std::runtime_error::runtime_error | ( | const string & | __arg | ) |

explicit

Takes a character string describing the error.

## Member Function Documentation

virtual const char* std::runtime_error::what | ( |  | ) | const

virtualnoexcept

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

The documentation for this class was generated from the following file:

- stdexcept